### Method

# Gtk Widget get_hexpand

#### Declaration [src]

    gboolean
    gtk_widget_get_hexpand (
      GtkWidget* widget
    )

#### Description [src]

Gets whether the widget would like any available extra horizontal space.

When a user resizes a `GtkWindow`, widgets with expand=TRUE generally receive the extra space. For example, a list or scrollable area or document in your window would often be set to expand.

Containers should use gtk_widget_compute_expand() rather than this function, to see whether a widget, or any of its children, has the expand flag set. If any child of a widget wants to expand, the parent may ask to expand also.

This function only looks at the widget’s own hexpand flag, rather than computing whether the entire widget tree rooted at this widget wants to expand.

Gets property | `Gtk.Widget:hexpand`

#### Return value

Returns: | `gboolean`
| Whether hexpand flag is set.